Package org.apache.solr.client.solrj.response

## Class ClusteringResponse

- java.lang.Object
- - org.apache.solr.client.solrj.response.ClusteringResponse

    public class ClusteringResponse
    extends Object

Encapsulates responses from ClusteringComponent

### Field Summary

Fields
`static String` `CLUSTERS_NODE`
`static String` `DOCS_NODE`
`static String` `IS_OTHER_TOPICS`
`static String` `LABELS_NODE`
`static String` `SCORE_NODE`

### Constructor Summary

Constructors
`ClusteringResponse​(List<NamedList<Object>> clusterInfo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Cluster>` `getClusters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLUSTERS_NODE

    public static final String CLUSTERS_NODE

See Also:
  Constant Field Values

#### LABELS_NODE

    public static final String LABELS_NODE

See Also:
  Constant Field Values

#### DOCS_NODE

    public static final String DOCS_NODE

See Also:
  Constant Field Values

#### SCORE_NODE

    public static final String SCORE_NODE

See Also:
  Constant Field Values

#### IS_OTHER_TOPICS

    public static final String IS_OTHER_TOPICS

See Also:
  Constant Field Values

### Constructor Detail

#### ClusteringResponse

    public ClusteringResponse​(List<NamedList<Object>> clusterInfo)

### Method Detail

#### getClusters

    public List<Cluster> getClusters()